Bug 434902 - istanbul produces (probably) ill-formed ogg
istanbul produces (probably) ill-formed ogg
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: istanbul (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-25 23:56 EST by Jon Stanley
Modified: 2008-11-26 17:46 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 17:46:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Stanley 2008-02-25 23:56:43 EST
When I view a video created with istanbul in totem, totem crashes when done
playing back the video.  This does not happen with other videos that I play in
totem.  See bug 434900 for the stack trace from totem.
Comment 1 Jef Spaleta 2008-02-26 13:34:49 EST
As per the irc discussion, istanbul is a thin layer of gui over gstreamer.
ALL video encoding is handled by using gstreamer pipelines.

What I need you to do, is attempt to find a reproducible situation and record
the pipeline that istanbul used, so we can test that pipeline directly in
gst-launch on the cmdline.

You can see what the final pipeline is that istanbul constructs and passes to
gst, by running istanbul in a terminal. You'll see a message like this:

DEBUG: final pipeline: istximagesrc name=videosource display-name=:0.0
screen-num=0 use-damage=false ! video/x-raw-rgb,framerate=10/1 ! videorate !
ffmpegcolorspace ! videoscale method=1 !
video/x-raw-yuv,width=512,height=384,framerate=10/1 ! theoraenc ! oggmux
name=mux ! filesink location=/tmp/tmpS3UN0V

That's the magic..and its all gst magic. You can use the exact same pipeline via
gst-launch in a shell script(appropriately escaped of course) and gst will
produce the same video.

-jef
Comment 2 Bug Zapper 2008-11-26 04:56:34 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.